/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Nov 27, 2019, 8:42:46 PM
    Author     : Lamyarahman
*/

.tik-tak .transition, .tik-tak p, ul.tik-tak  li i:before, ul.tik-tak  li i:after {
    transition: all 0.25s ease-in-out;
}

/*.tik-tak .flipIn, .tik-tak h1, ul.tik-tak  li {
  animation: flipdown 0.5s ease both;
}*/

.tik-tak .no-select, .tik-tak h2 {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.tik-tak h1 {
    text-transform: uppercase;
    font-size: 36px;
    line-height: 42px;
    letter-spacing: 3px;
    font-weight: 100;
}

.tik-tak h2 {
    font-size: 26px;
    line-height: 34px;
    font-weight: 300;
    letter-spacing: 1px;
    display: block;
    background-color: #ffffff;
    margin: 0;
    cursor: pointer;
    margin-left: 25px;
}

.tik-tak p {
    color: rgba(48, 69, 92, 0.8);
    font-size: 17px;
    line-height: 26px;
    letter-spacing: 1px;
    position: relative;
    overflow: hidden;
    max-height: 800px;
    opacity: 1;
    transform: translate(0, 0);
    margin-top: 14px;
    z-index: 2;
}

ul.tik-tak  {
    list-style: none;
    perspective: 900;
    padding: 0;
    margin: 0;
}
ul.tik-tak  li {
    position: relative;
    padding: 0;
    margin: 0;
    padding-bottom: 15px;
    padding-top: 15px;
    border-top: 2px dotted #91c9d0;
}
ul.tik-tak  li:nth-of-type(1) {
    animation-delay: 0.5s;
}
ul.tik-tak  li:nth-of-type(2) {
    animation-delay: 0.75s;
}
ul.tik-tak  li:nth-of-type(3) {
    animation-delay: 1s;
}
ul.tik-tak  li:last-of-type {
    padding-bottom: 0;
}
ul.tik-tak  li i {
    position: absolute;
    margin: 10px 0 10px 0;
    left: 0;
}
ul.tik-tak  li i:before, ul.tik-tak  li i:after {
    content: "";
    position: absolute;
    background-color: #004851;
    width: 3px;
    height: 9px;
}
ul.tik-tak  li i:before {
    transform: translate(-2px, 0) rotate(45deg);
}
ul.tik-tak  li i:after {
    transform: translate(2px, 0) rotate(-45deg);
}
ul.tik-tak  li input[type=checkbox] {
    position: absolute;
    cursor: pointer;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 0;
}


ul.tik-tak  li input[type=checkbox]:checked ~ p {
    margin-top: 0;
    max-height: 0;
    opacity: 0;
    transform: translate(0, 50%);
}
ul.tik-tak  li input[type=checkbox]:checked ~ i:before {
    transform: translate(2px, 0) rotate(45deg);
}
ul.tik-tak  li input[type=checkbox]:checked ~ i:after {
    transform: translate(-2px, 0) rotate(-45deg);
}

@keyframes flipdown {
    0% {
        opacity: 0;
        transform-origin: top center;
        transform: rotateX(-90deg);
    }
    5% {
        opacity: 1;
    }
    80% {
        transform: rotateX(8deg);
    }
    83% {
        transform: rotateX(6deg);
    }
    92% {
        transform: rotateX(-3deg);
    }
    100% {
        transform-origin: top center;
        transform: rotateX(0deg);
    }
}
